View Issue Details

IDProjectCategoryView StatusLast Update
0027247LazarusPatchpublic2015-01-13 05:33
ReporterNyitrai PéterAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.6Product Build 
Target Version1.4Fixed in Version1.5 (SVN) 
Summary0027247: Integer division operator is not recognised by Visual Basic highlighter
DescriptionIn VB, there is a \ (backslash) Operator, which -according to MS-:
"Divides two numbers and returns an integer result."
(expression1 \ expression2)

You can verify this here:
http://msdn.microsoft.com/en-us/library/0e16fywh.aspx

But this operator is unknown for SynHighlighterVB.
I've modified SynHighlighterVB.pas to recognise blackslash as an operator. The modified file is in the attachment.
I've simply inserted this code to line 1012:
" '\': fProcTable[I] := @SymbolProc; {To highlight backslash which means integer division.} ".
Additional InformationThe fixed SynHighlighterVB unit is in the attachment.

An appropriate "ticket" has been sent to SynEdit community at SourceForge.
TagsNo tags attached.
Fixed in Revision47350
LazTarget1.4
Widgetset
Attached Files

Activities

Nyitrai Péter

2015-01-04 15:07

reporter  

synhighlightervb.zip (6,549 bytes)

Martin Friebe

2015-01-12 14:02

manager   ~0080314

Thanks for the fix, and the reference to the doc.

Please test and close if ok

Nyitrai Péter

2015-01-13 05:33

reporter   ~0080331

It's Ok.

Issue History

Date Modified Username Field Change
2015-01-04 15:07 Nyitrai Péter New Issue
2015-01-04 15:07 Nyitrai Péter File Added: synhighlightervb.zip
2015-01-04 15:26 Martin Friebe Assigned To => Martin Friebe
2015-01-04 15:26 Martin Friebe Status new => assigned
2015-01-12 14:02 Martin Friebe Fixed in Revision => 47350
2015-01-12 14:02 Martin Friebe LazTarget => 1.4
2015-01-12 14:02 Martin Friebe Note Added: 0080314
2015-01-12 14:02 Martin Friebe Status assigned => resolved
2015-01-12 14:02 Martin Friebe Fixed in Version => 1.5 (SVN)
2015-01-12 14:02 Martin Friebe Resolution open => fixed
2015-01-12 14:02 Martin Friebe Target Version => 1.4
2015-01-13 05:33 Nyitrai Péter Note Added: 0080331
2015-01-13 05:33 Nyitrai Péter Status resolved => closed